﻿using System;
using Wisej.Web;


namespace DgvUpdateTest
{
    public partial class Page1 : Page
    {
        public Page1()
        {
            InitializeComponent();
            LoadData(data0, true);
        }

        private static readonly string[] data0 = new string[] { "a", "b", "c" };
        private static readonly string[] data1 = new string[] { "d", "e", "f" };

        void LoadData(string[] data, bool suspend)
        {
            textBox1.Clear();
            if (suspend)
            {
                dataGridView1.BeginUpdate();
            }
            try
            {
                dataGridView1.Rows.Clear();
                foreach (var s in data)
                {
                    var row = dataGridView1.Rows[dataGridView1.Rows.Add()];
                    row[column1].Value = s + 1;
                    row[column2].Value = s + 2;
                    row[column3].Value = s + 3;
                }
            }
            catch (Exception ex)
            {
                textBox1.Text = ex.ToString();
            }
            finally
            {
                if (suspend)
                {
                    dataGridView1.EndUpdate();
                }
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            LoadData(data0, true);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            LoadData(data1, checkBox1.Checked);
        }
    }
}
